/*
 React
 react-dom-server-legacy.node.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var da=require("react"),ea=require("react-dom"),ja=require("stream"),ka=Symbol.for("react.element"),la=Symbol.for("react.portal"),ma=Symbol.for("react.fragment"),ya=Symbol.for("react.strict_mode"),za=Symbol.for("react.profiler"),Aa=Symbol.for("react.provider"),Ba=Symbol.for("react.consumer"),Ca=Symbol.for("react.context"),Da=Symbol.for("react.forward_ref"),Ja=Symbol.for("react.suspense"),Ka=Symbol.for("react.suspense_list"),La=Symbol.for("react.memo"),Ma=Symbol.for("react.lazy"),Na=Symbol.for("react.scope"),
$a=Symbol.for("react.debug_trace_mode"),gb=Symbol.for("react.offscreen"),hb=Symbol.for("react.legacy_hidden"),ib=Symbol.for("react.cache"),jb=Symbol.iterator,kb=Array.isArray;
function lb(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}
var u=Object.assign,A=Object.prototype.hasOwnProperty,mb=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),nb={},ob={};
function pb(a){if(A.call(ob,a))return!0;if(A.call(nb,a))return!1;if(mb.test(a))return ob[a]=!0;nb[a]=!0;return!1}
var qb=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),rb=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),sb=/["'&<>]/;
function B(a){if("boolean"===typeof a||"number"===typeof a)return""+a;a=""+a;var b=sb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var tb=/([A-Z])/g,ub=/^ms-/,Ib=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function Jb(a){return Ib.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var Kb=da.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,Lb={pending:!1,data:null,method:null,action:null},Mb=ea.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactDOMCurrentDispatcher,Nb=Mb.current;Mb.current={prefetchDNS:Ob,preconnect:Pb,preload:Qb,preloadModule:Rb,preinitScript:Sb,preinitStyle:Tb,preinitModuleScript:Ub};var C=[],Vb=/(<\/|<)(s)(cript)/gi;
function Wb(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}function Xb(a,b,c,d,e){var f=0;void 0!==b&&(f=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:f,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}
function I(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}function Yb(a){return I("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function Zb(a,b,c){switch(b){case "noscript":return I(2,null,a.tagScope|1);case "select":return I(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return I(3,null,a.tagScope);case "picture":return I(2,null,a.tagScope|2);case "math":return I(4,null,a.tagScope);case "foreignObject":return I(2,null,a.tagScope);case "table":return I(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return I(6,null,a.tagScope);case "colgroup":return I(8,null,a.tagScope);case "tr":return I(7,null,a.tagScope)}return 5<=
a.insertionMode?I(2,null,a.tagScope):0===a.insertionMode?"html"===b?I(1,null,a.tagScope):I(2,null,a.tagScope):1===a.insertionMode?I(2,null,a.tagScope):a}var $b=new Map;
function ac(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(A.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=B(d);e=B((""+e).trim())}else f=$b.get(d),void 0===f&&(f=B(d.replace(tb,"-$1").toLowerCase().replace(ub,"-ms-")),$b.set(d,f)),e="number"===typeof e?0===e||qb.has(d)?""+e:e+"px":
B((""+e).trim());c?(c=!1,a.push(' style="',f,":",e)):a.push(";",f,":",e)}}c||a.push('"')}function bc(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""')}function J(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(" ",b,'="',B(c),'"')}var cc=B("javascript:throw new Error('React form unexpectedly submitted.')");
function dc(a,b){this.push('<input type="hidden"');if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");J(this,"name",b);J(this,"value",a);this.push("/>")}function pc(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function qc(a,b,c,d,e,f,g,h){var k=null;if("function"===typeof d){var m=pc(b,d);null!==m?(h=m.name,d=m.action||"",e=m.encType,f=m.method,g=m.target,k=m.data):(a.push(" ","formAction",'="',cc,'"'),g=f=e=d=h=null,rc(b,c))}null!=h&&K(a,"name",h);null!=d&&K(a,"formAction",d);null!=e&&K(a,"formEncType",e);null!=f&&K(a,"formMethod",f);null!=g&&K(a,"formTarget",g);return k}
function K(a,b,c){switch(b){case "className":J(a,"class",c);break;case "tabIndex":J(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":J(a,b,c);break;case "style":ac(a,c);break;case "src":case "href":case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=Jb(""+c);a.push(" ",b,'="',B(c),'"');break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":bc(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=Jb(""+c);a.push(" ","xlink:href",'="',B(c),'"');break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',B(c),'"');break;case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;case "capture":case "download":!0===c?a.push(" ",b,'=""'):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',B(c),'"');break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(" ",b,'="',B(c),'"');break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(" ",b,'="',B(c),'"');break;case "xlinkActuate":J(a,"xlink:actuate",
c);break;case "xlinkArcrole":J(a,"xlink:arcrole",c);break;case "xlinkRole":J(a,"xlink:role",c);break;case "xlinkShow":J(a,"xlink:show",c);break;case "xlinkTitle":J(a,"xlink:title",c);break;case "xlinkType":J(a,"xlink:type",c);break;case "xmlBase":J(a,"xml:base",c);break;case "xmlLang":J(a,"xml:lang",c);break;case "xmlSpace":J(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=rb.get(b)||b,pb(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(" ",b,'="',B(c),'"')}}}function O(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(""+b)}}
function sc(a){var b="";da.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}
function rc(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,'addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});',"\x3c/script>"))}
function P(a,b){a.push(Q("link"));for(var c in b)if(A.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:K(a,c,d)}}a.push("/>");return null}
function tc(a,b,c){a.push(Q(c));for(var d in b)if(A.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:K(a,d,e)}}a.push("/>");return null}
function uc(a,b){a.push(Q("title"));var c=null,d=null,e;for(e in b)if(A.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(B(""+b));O(a,d,c);a.push(vc("title"));return null}
function wc(a,b){a.push(Q("script"));var c=null,d=null,e;for(e in b)if(A.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");O(a,d,c);"string"===typeof c&&a.push(B(c));a.push(vc("script"));return null}
function xc(a,b,c){a.push(Q(c));var d=c=null,e;for(e in b)if(A.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");O(a,d,c);return"string"===typeof c?(a.push(B(c)),null):c}var yc=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,zc=new Map;function Q(a){var b=zc.get(a);if(void 0===b){if(!yc.test(a))throw Error("Invalid tag: "+a);b="<"+a;zc.set(a,b)}return b}
function Ac(a,b,c,d,e,f,g,h,k){switch(b){case "div":case "span":case "svg":case "path":break;case "a":break;case "g":case "p":case "li":break;case "select":a.push(Q("select"));var m=null,n=null,l;for(l in c)if(A.call(c,l)){var r=c[l];if(null!=r)switch(l){case "children":m=r;break;case "dangerouslySetInnerHTML":n=r;break;case "defaultValue":case "value":break;default:K(a,l,r)}}a.push(">");O(a,n,m);return m;case "option":var p=g.selectedValue;a.push(Q("option"));var z=null,v=null,y=null,x=null,q;for(q in c)if(A.call(c,
q)){var D=c[q];if(null!=D)switch(q){case "children":z=D;break;case "selected":y=D;break;case "dangerouslySetInnerHTML":x=D;break;case "value":v=D;default:K(a,q,D)}}if(null!=p){var E=null!==v?""+v:sc(z);if(kb(p))for(var t=0;t<p.length;t++){if(""+p[t]===E){a.push(' selected=""');break}}else""+p===E&&a.push(' selected=""')}else y&&a.push(' selected=""');a.push(">");O(a,x,z);return z;case "textarea":a.push(Q("textarea"));var w=null,F=null,U=null,L;for(L in c)if(A.call(c,L)){var G=c[L];if(null!=G)switch(L){case "children":U=
G;break;case "value":w=G;break;case "defaultValue":F=G;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");default:K(a,L,G)}}null===w&&null!==F&&(w=F);a.push(">");if(null!=U){if(null!=w)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(kb(U)){if(1<U.length)throw Error("<textarea> can only have at most one child.");w=""+U[0]}w=""+U}"string"===typeof w&&"\n"===w[0]&&a.push("\n");null!==w&&a.push(B(""+w));
return null;case "input":a.push(Q("input"));var na=null,fa=null,Z=null,vb=null,wb=null,Oa=null,Pa=null,Qa=null,Ra=null,oa;for(oa in c)if(A.call(c,oa)){var M=c[oa];if(null!=M)switch(oa){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":na=M;break;case "formAction":fa=M;break;case "formEncType":Z=M;break;case "formMethod":vb=M;break;case "formTarget":wb=M;break;case "defaultChecked":Ra=
M;break;case "defaultValue":Pa=M;break;case "checked":Qa=M;break;case "value":Oa=M;break;default:K(a,oa,M)}}var aa=qc(a,d,e,fa,Z,vb,wb,na);null!==Qa?bc(a,"checked",Qa):null!==Ra&&bc(a,"checked",Ra);null!==Oa?K(a,"value",Oa):null!==Pa&&K(a,"value",Pa);a.push("/>");null!=aa&&aa.forEach(dc,a);return null;case "button":a.push(Q("button"));var ba=null,pa=null,Sa=null,qa=null,md=null,nd=null,od=null,Ta;for(Ta in c)if(A.call(c,Ta)){var ca=c[Ta];if(null!=ca)switch(Ta){case "children":ba=ca;break;case "dangerouslySetInnerHTML":pa=
ca;break;case "name":Sa=ca;break;case "formAction":qa=ca;break;case "formEncType":md=ca;break;case "formMethod":nd=ca;break;case "formTarget":od=ca;break;default:K(a,Ta,ca)}}var pd=qc(a,d,e,qa,md,nd,od,Sa);a.push(">");null!=pd&&pd.forEach(dc,a);O(a,pa,ba);if("string"===typeof ba){a.push(B(ba));var qd=null}else qd=ba;return qd;case "form":a.push(Q("form"));var Ua=null,rd=null,ra=null,Va=null,Wa=null,Xa=null,Ya;for(Ya in c)if(A.call(c,Ya)){var ha=c[Ya];if(null!=ha)switch(Ya){case "children":Ua=ha;break;
case "dangerouslySetInnerHTML":rd=ha;break;case "action":ra=ha;break;case "encType":Va=ha;break;case "method":Wa=ha;break;case "target":Xa=ha;break;default:K(a,Ya,ha)}}var ec=null,fc=null;if("function"===typeof ra){var sa=pc(d,ra);null!==sa?(ra=sa.action||"",Va=sa.encType,Wa=sa.method,Xa=sa.target,ec=sa.data,fc=sa.name):(a.push(" ","action",'="',cc,'"'),Xa=Wa=Va=ra=null,rc(d,e))}null!=ra&&K(a,"action",ra);null!=Va&&K(a,"encType",Va);null!=Wa&&K(a,"method",Wa);null!=Xa&&K(a,"target",Xa);a.push(">");
null!==fc&&(a.push('<input type="hidden"'),J(a,"name",fc),a.push("/>"),null!=ec&&ec.forEach(dc,a));O(a,rd,Ua);if("string"===typeof Ua){a.push(B(Ua));var sd=null}else sd=Ua;return sd;case "menuitem":a.push(Q("menuitem"));for(var xb in c)if(A.call(c,xb)){var td=c[xb];if(null!=td)switch(xb){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:K(a,xb,td)}}a.push(">");return null;case "title":if(3===g.insertionMode||g.tagScope&
1||null!=c.itemProp)var gc=uc(a,c);else k?gc=null:(uc(e.hoistableChunks,c),gc=void 0);return gc;case "link":var Ye=c.rel,ia=c.href,yb=c.precedence;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Ye||"string"!==typeof ia||""===ia){P(a,c);var Za=null}else if("stylesheet"===c.rel)if("string"!==typeof yb||null!=c.disabled||c.onLoad||c.onError)Za=P(a,c);else{var Ea=e.styles.get(yb),zb=d.styleResources.hasOwnProperty(ia)?d.styleResources[ia]:void 0;if(null!==zb){d.styleResources[ia]=
null;Ea||(Ea={precedence:B(yb),rules:[],hrefs:[],sheets:new Map},e.styles.set(yb,Ea));var Ab={state:0,props:u({},c,{"data-precedence":c.precedence,precedence:null})};if(zb){2===zb.length&&Bc(Ab.props,zb);var hc=e.preloads.stylesheets.get(ia);hc&&0<hc.length?hc.length=0:Ab.state=1}Ea.sheets.set(ia,Ab);f&&f.stylesheets.add(Ab)}else if(Ea){var ud=Ea.sheets.get(ia);ud&&f&&f.stylesheets.add(ud)}h&&a.push("\x3c!-- --\x3e");Za=null}else c.onLoad||c.onError?Za=P(a,c):(h&&a.push("\x3c!-- --\x3e"),Za=k?null:
P(e.hoistableChunks,c));return Za;case "script":var ic=c.async;if("string"!==typeof c.src||!c.src||!ic||"function"===typeof ic||"symbol"===typeof ic||c.onLoad||c.onError||3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var vd=wc(a,c);else{var Bb=c.src;if("module"===c.type){var Cb=d.moduleScriptResources;var wd=e.preloads.moduleScripts}else Cb=d.scriptResources,wd=e.preloads.scripts;var Db=Cb.hasOwnProperty(Bb)?Cb[Bb]:void 0;if(null!==Db){Cb[Bb]=null;var jc=c;if(Db){2===Db.length&&(jc=u({},c),
Bc(jc,Db));var xd=wd.get(Bb);xd&&(xd.length=0)}var yd=[];e.scripts.add(yd);wc(yd,jc)}h&&a.push("\x3c!-- --\x3e");vd=null}return vd;case "style":var Eb=c.precedence,ta=c.href;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Eb||"string"!==typeof ta||""===ta){a.push(Q("style"));var Fa=null,zd=null,ab;for(ab in c)if(A.call(c,ab)){var Fb=c[ab];if(null!=Fb)switch(ab){case "children":Fa=Fb;break;case "dangerouslySetInnerHTML":zd=Fb;break;default:K(a,ab,Fb)}}a.push(">");var bb=Array.isArray(Fa)?
2>Fa.length?Fa[0]:null:Fa;"function"!==typeof bb&&"symbol"!==typeof bb&&null!==bb&&void 0!==bb&&a.push(B(""+bb));O(a,zd,Fa);a.push(vc("style"));var Ad=null}else{var ua=e.styles.get(Eb);if(null!==(d.styleResources.hasOwnProperty(ta)?d.styleResources[ta]:void 0)){d.styleResources[ta]=null;ua?ua.hrefs.push(B(ta)):(ua={precedence:B(Eb),rules:[],hrefs:[B(ta)],sheets:new Map},e.styles.set(Eb,ua));var Bd=ua.rules,Ga=null,Cd=null,Gb;for(Gb in c)if(A.call(c,Gb)){var kc=c[Gb];if(null!=kc)switch(Gb){case "children":Ga=
kc;break;case "dangerouslySetInnerHTML":Cd=kc}}var cb=Array.isArray(Ga)?2>Ga.length?Ga[0]:null:Ga;"function"!==typeof cb&&"symbol"!==typeof cb&&null!==cb&&void 0!==cb&&Bd.push(B(""+cb));O(Bd,Cd,Ga)}ua&&f&&f.styles.add(ua);h&&a.push("\x3c!-- --\x3e");Ad=void 0}return Ad;case "meta":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Dd=tc(a,c,"meta");else h&&a.push("\x3c!-- --\x3e"),Dd=k?null:"string"===typeof c.charSet?tc(e.charsetChunks,c,"meta"):"viewport"===c.name?tc(e.viewportChunks,c,
"meta"):tc(e.hoistableChunks,c,"meta");return Dd;case "listing":case "pre":a.push(Q(b));var db=null,eb=null,fb;for(fb in c)if(A.call(c,fb)){var Hb=c[fb];if(null!=Hb)switch(fb){case "children":db=Hb;break;case "dangerouslySetInnerHTML":eb=Hb;break;default:K(a,fb,Hb)}}a.push(">");if(null!=eb){if(null!=db)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof eb||!("__html"in eb))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");
var va=eb.__html;null!==va&&void 0!==va&&("string"===typeof va&&0<va.length&&"\n"===va[0]?a.push("\n",va):a.push(""+va))}"string"===typeof db&&"\n"===db[0]&&a.push("\n");return db;case "img":var N=c.src,H=c.srcSet;if(!("lazy"===c.loading||!N&&!H||"string"!==typeof N&&null!=N||"string"!==typeof H&&null!=H)&&"low"!==c.fetchPriority&&!1===!!(g.tagScope&2)&&("string"!==typeof N||":"!==N[4]||"d"!==N[0]&&"D"!==N[0]||"a"!==N[1]&&"A"!==N[1]||"t"!==N[2]&&"T"!==N[2]||"a"!==N[3]&&"A"!==N[3])&&("string"!==typeof H||
":"!==H[4]||"d"!==H[0]&&"D"!==H[0]||"a"!==H[1]&&"A"!==H[1]||"t"!==H[2]&&"T"!==H[2]||"a"!==H[3]&&"A"!==H[3])){var Ed="string"===typeof c.sizes?c.sizes:void 0,Ha=H?H+"\n"+(Ed||""):N,lc=e.preloads.images,wa=lc.get(Ha);if(wa){if("high"===c.fetchPriority||10>e.highImagePreloads.size)lc.delete(Ha),e.highImagePreloads.add(wa)}else if(!d.imageResources.hasOwnProperty(Ha)){d.imageResources[Ha]=C;var mc=c.crossOrigin;var Fd="string"===typeof mc?"use-credentials"===mc?mc:"":void 0;var X=e.headers,nc;X&&0<X.remainingCapacity&&
("high"===c.fetchPriority||500>X.highImagePreloads.length)&&(nc=Cc(N,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:Fd,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(X.remainingCapacity-=nc.length))?(e.resets.image[Ha]=C,X.highImagePreloads&&(X.highImagePreloads+=", "),X.highImagePreloads+=nc):(wa=[],P(wa,{rel:"preload",as:"image",href:H?void 0:N,imageSrcSet:H,imageSizes:Ed,crossOrigin:Fd,integrity:c.integrity,type:c.type,
fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(wa):(e.bulkPreloads.add(wa),lc.set(Ha,wa)))}}return tc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return tc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;
case "head":if(2>g.insertionMode&&null===e.headChunks){e.headChunks=[];var Gd=xc(e.headChunks,c,"head")}else Gd=xc(a,c,"head");return Gd;case "html":if(0===g.insertionMode&&null===e.htmlChunks){e.htmlChunks=[""];var Hd=xc(e.htmlChunks,c,"html")}else Hd=xc(a,c,"html");return Hd;default:if(-1!==b.indexOf("-")){a.push(Q(b));var oc=null,Id=null,Ia;for(Ia in c)if(A.call(c,Ia)){var xa=c[Ia];if(null!=xa){var Ze=Ia;switch(Ia){case "children":oc=xa;break;case "dangerouslySetInnerHTML":Id=xa;break;case "style":ac(a,
xa);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;default:pb(Ia)&&"function"!==typeof xa&&"symbol"!==typeof xa&&a.push(" ",Ze,'="',B(xa),'"')}}}a.push(">");O(a,Id,oc);return oc}}return xc(a,c,b)}var Dc=new Map;function vc(a){var b=Dc.get(a);void 0===b&&(b="</"+a+">",Dc.set(a,b));return b}function Ec(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)a.push(b[c]);return c<b.length?(c=b[c],b.length=0,a.push(c)):!0}
function Fc(a,b,c){a.push('\x3c!--$?--\x3e<template id="');if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");a.push(b.boundaryPrefix);b=c.toString(16);a.push(b);return a.push('"></template>')}
function Gc(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return a.push('<div hidden id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 3:return a.push('<svg aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 4:return a.push('<math aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 5:return a.push('<table hidden id="'),a.push(b.segmentPrefix),
b=d.toString(16),a.push(b),a.push('">');case 6:return a.push('<table hidden><tbody id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 7:return a.push('<table hidden><tr id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 8:return a.push('<table hidden><colgroup id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');default:throw Error("Unknown insertion mode. This is a bug in React.");}}
function Hc(a,b){switch(b.insertionMode){case 0:case 1:case 2:return a.push("</div>");case 3:return a.push("</svg>");case 4:return a.push("</math>");case 5:return a.push("</table>");case 6:return a.push("</tbody></table>");case 7:return a.push("</tr></table>");case 8:return a.push("</colgroup></table>");default:throw Error("Unknown insertion mode. This is a bug in React.");}}var Ic=/[<\u2028\u2029]/g;
function Jc(a){return JSON.stringify(a).replace(Ic,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Kc=/[&><\u2028\u2029]/g;
function Lc(a){return JSON.stringify(a).replace(Kc,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Mc=!1,Nc=!0;
function Oc(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){this.push('<style media="not all" data-precedence="');this.push(a.precedence);for(this.push('" data-href="');d<c.length-1;d++)this.push(c[d]),this.push(" ");this.push(c[d]);this.push('">');for(d=0;d<b.length;d++)this.push(b[d]);Nc=this.push("</style>");Mc=!0;b.length=0;c.length=0}}function Pc(a){return 2!==a.state?Mc=!0:!1}function Qc(a,b,c){Mc=!1;Nc=!0;b.styles.forEach(Oc,a);b.stylesheets.forEach(Pc);Mc&&(c.stylesToHoist=!0);return Nc}
function R(a){for(var b=0;b<a.length;b++)this.push(a[b]);a.length=0}var Rc=[];function Sc(a){P(Rc,a.props);for(var b=0;b<Rc.length;b++)this.push(Rc[b]);Rc.length=0;a.state=2}
function Tc(a){var b=0<a.sheets.size;a.sheets.forEach(Sc,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){this.push('<style data-precedence="');this.push(a.precedence);a=0;if(d.length){for(this.push('" data-href="');a<d.length-1;a++)this.push(d[a]),this.push(" ");this.push(d[a])}this.push('">');for(a=0;a<c.length;a++)this.push(c[a]);this.push("</style>");c.length=0;d.length=0}}
function Uc(a){if(0===a.state){a.state=1;var b=a.props;P(Rc,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<Rc.length;a++)this.push(Rc[a]);Rc.length=0}}function Vc(a){a.sheets.forEach(Uc,this);a.sheets.clear()}
function Wc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=Lc(""+d.props.href),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=Jb(""+d.props.href);g=Lc(g);a.push(g);e=""+e;a.push(",");e=Lc(e);a.push(e);for(var h in f)if(A.call(f,h)&&(e=f[h],null!=e))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Xc(a,h,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function Xc(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=Jb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!pb(b))return;b=""+c}a.push(",");d=Lc(d);a.push(d);
a.push(",");d=Lc(b);a.push(d)}
function Yc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=B(JSON.stringify(""+d.props.href)),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=Jb(""+d.props.href);g=B(JSON.stringify(g));a.push(g);e=""+e;a.push(",");e=B(JSON.stringify(e));a.push(e);for(var h in f)if(A.call(f,h)&&(e=f[h],null!=e))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Zc(a,h,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function Zc(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=Jb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!pb(b))return;b=""+c}a.push(",");d=B(JSON.stringify(d));
a.push(d);a.push(",");d=B(JSON.stringify(b));a.push(d)}function $c(){return{styles:new Set,stylesheets:new Set}}
function Ob(a){var b=S?S:null;if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(ad,bd)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],P(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}cd(b)}}else Nb.prefetchDNS(a)}
function Pb(a,b){var c=S?S:null;if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var g,h;if(h=d&&0<d.remainingCapacity){h="<"+(""+a).replace(ad,bd)+">; rel=preconnect";if("string"===typeof b){var k=(""+b).replace(dd,ed);h+='; crossorigin="'+k+'"'}h=(g=h,2<=(d.remainingCapacity-=g.length))}h?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=g):(f=[],P(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}cd(c)}}else Nb.preconnect(a,b)}
function Qb(a,b,c){var d=S?S:null;if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var h=c.imageSizes;var k=c.fetchPriority}var m=g?g+"\n"+(h||""):a;if(e.imageResources.hasOwnProperty(m))return;e.imageResources[m]=C;e=f.headers;var n;e&&0<e.remainingCapacity&&"high"===k&&(n=Cc(a,b,c),2<=(e.remainingCapacity-=n.length))?(f.resets.image[m]=C,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=n):(e=[],P(e,u({rel:"preload",href:g?
void 0:a,as:b},c)),"high"===k?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(m,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];P(g,u({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);
P(g,u({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;g[a]=C;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(m=Cc(a,b,c),2<=(e.remainingCapacity-=m.length)))f.resets.font[a]=C,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=m;else switch(e=[],
a=u({rel:"preload",href:a,as:b},c),P(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}cd(d)}}else Nb.preload(a,b,c)}
function Rb(a,b){var c=S?S:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?C:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=C}P(f,u({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);cd(c)}}else Nb.preloadModule(a,b)}
function Tb(a,b,c){var d=S?S:null;if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),h=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==h&&(e.styleResources[a]=null,g||(g={precedence:B(b),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:u({rel:"stylesheet",href:a,"data-precedence":b},c)},h&&(2===h.length&&Bc(b.props,h),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),cd(d))}}else Nb.preinitStyle(a,
b,c)}function Sb(a,b){var c=S?S:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=u({src:a,async:!0},b),f&&(2===f.length&&Bc(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),wc(a,b),cd(c))}}else Nb.preinitScript(a,b)}
function Ub(a,b){var c=S?S:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=u({src:a,type:"module",async:!0},b),f&&(2===f.length&&Bc(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),wc(a,b),cd(c))}}else Nb.preinitModuleScript(a,b)}function Bc(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function Cc(a,b,c){a=(""+a).replace(ad,bd);b=(""+b).replace(dd,ed);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)A.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(dd,ed)+'"'));return b}var ad=/[<>\r\n]/g;
function bd(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var dd=/["';,\r\n]/g;
function ed(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function fd(a){this.styles.add(a)}function gd(a){this.stylesheets.add(a)}
function hd(a,b){var c=a.idPrefix,d=[],e=a.bootstrapScriptContent,f=a.bootstrapScripts,g=a.bootstrapModules;void 0!==e&&d.push("<script>",(""+e).replace(Vb,Wb),"\x3c/script>");e=c+"P:";var h=c+"S:";c+="B:";var k=new Set,m=new Set,n=new Set,l=new Map,r=new Set,p=new Set,z=new Set,v={images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map};if(void 0!==f)for(var y=0;y<f.length;y++){var x=f[y],q,D=void 0,E=void 0,t={rel:"preload",as:"script",fetchPriority:"low",nonce:void 0};"string"===
typeof x?t.href=q=x:(t.href=q=x.src,t.integrity=E="string"===typeof x.integrity?x.integrity:void 0,t.crossOrigin=D="string"===typeof x||null==x.crossOrigin?void 0:"use-credentials"===x.crossOrigin?"use-credentials":"");x=a;var w=q;x.scriptResources[w]=null;x.moduleScriptResources[w]=null;x=[];P(x,t);r.add(x);d.push('<script src="',B(q));"string"===typeof E&&d.push('" integrity="',B(E));"string"===typeof D&&d.push('" crossorigin="',B(D));d.push('" async="">\x3c/script>')}if(void 0!==g)for(f=0;f<g.length;f++)t=
g[f],D=q=void 0,E={rel:"modulepreload",fetchPriority:"low",nonce:void 0},"string"===typeof t?E.href=y=t:(E.href=y=t.src,E.integrity=D="string"===typeof t.integrity?t.integrity:void 0,E.crossOrigin=q="string"===typeof t||null==t.crossOrigin?void 0:"use-credentials"===t.crossOrigin?"use-credentials":""),t=a,x=y,t.scriptResources[x]=null,t.moduleScriptResources[x]=null,t=[],P(t,E),r.add(t),d.push('<script type="module" src="',B(y)),"string"===typeof D&&d.push('" integrity="',B(D)),"string"===typeof q&&
d.push('" crossorigin="',B(q)),d.push('" async="">\x3c/script>');return{placeholderPrefix:e,segmentPrefix:h,boundaryPrefix:c,startInlineScript:"<script>",htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:d,importMapChunks:[],onHeaders:void 0,headers:null,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:k,fontPreloads:m,highImagePreloads:n,styles:l,bootstrapScripts:r,
scripts:p,bulkPreloads:z,preloads:v,stylesToHoist:!1,generateStaticMarkup:b}}function id(a,b,c,d){if(c.generateStaticMarkup)return a.push(B(b)),!1;""===b?a=d:(d&&a.push("\x3c!-- --\x3e"),a.push(B(b)),a=!0);return a}var jd=Symbol.for("react.client.reference");
function kd(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===jd?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case ma:return"Fragment";case la:return"Portal";case za:return"Profiler";case ya:return"StrictMode";case Ja:return"Suspense";case Ka:return"SuspenseList";case ib:return"Cache"}if("object"===typeof a)switch(a.$$typeof){case Aa:return(a._context.displayName||"Context")+".Provider";case Ca:return(a.displayName||"Context")+".Consumer";case Da:var b=
a.render;a=a.displayName;a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case La:return b=a.displayName||null,null!==b?b:kd(a.type)||"Memo";case Ma:b=a._payload;a=a._init;try{return kd(a(b))}catch(c){}}return null}var ld={};function Jd(a,b){a=a.contextTypes;if(!a)return ld;var c={},d;for(d in a)c[d]=b[d];return c}var Kd=null;
function Ld(a,b){if(a!==b){a.context._currentValue2=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");Ld(a,c)}b.context._currentValue2=b.value}}function Md(a){a.context._currentValue2=a.parentValue;a=a.parent;null!==a&&Md(a)}
function Nd(a){var b=a.parent;null!==b&&Nd(b);a.context._currentValue2=a.value}function Od(a,b){a.context._currentValue2=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?Ld(a,b):Od(a,b)}
function Pd(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?Ld(a,c):Pd(a,c);b.context._currentValue2=b.value}function Qd(a){var b=Kd;b!==a&&(null===b?Nd(a):null===a?Md(b):b.depth===a.depth?Ld(b,a):b.depth>a.depth?Od(b,a):Pd(b,a),Kd=a)}
var Rd={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},Sd={id:1,overflow:""};function Td(a,b,c){var d=a.id;a=a.overflow;var e=32-Ud(d)-1;d&=~(1<<e);c+=1;var f=32-Ud(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-Ud(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var Ud=Math.clz32?Math.clz32:Vd,Wd=Math.log,Xd=Math.LN2;function Vd(a){a>>>=0;return 0===a?32:31-(Wd(a)/Xd|0)|0}var Yd=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function Zd(){}function $d(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(Zd,Zd),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}ae=b;throw Yd;}}var ae=null;
function be(){if(null===ae)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=ae;ae=null;return a}function ce(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var de="function"===typeof Object.is?Object.is:ce,ee=null,fe=null,ge=null,he=null,ie=null,T=null,je=!1,ke=!1,le=0,me=0,ne=-1,oe=0,pe=null,qe=null,re=0;
function se(){if(null===ee)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return ee}
function te(){if(0<re)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function ue(){null===T?null===ie?(je=!1,ie=T=te()):(je=!0,T=ie):null===T.next?(je=!1,T=T.next=te()):(je=!0,T=T.next);return T}function ve(){var a=pe;pe=null;return a}function we(){he=ge=fe=ee=null;ke=!1;ie=null;re=0;T=qe=null}function xe(a,b){return"function"===typeof b?b(a):b}
function ye(a,b,c){ee=se();T=ue();if(je){var d=T.queue;b=d.dispatch;if(null!==qe&&(c=qe.get(d),void 0!==c)){qe.delete(d);d=T.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);T.memoizedState=d;return[d,b]}return[T.memoizedState,b]}a=a===xe?"function"===typeof b?b():b:void 0!==c?c(b):b;T.memoizedState=a;a=T.queue={last:null,dispatch:null};a=a.dispatch=ze.bind(null,ee,a);return[T.memoizedState,a]}
function Ae(a,b){ee=se();T=ue();b=void 0===b?null:b;if(null!==T){var c=T.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!de(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();T.memoizedState=[a,b];return a}
function ze(a,b,c){if(25<=re)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===ee)if(ke=!0,a={action:c,next:null},null===qe&&(qe=new Map),c=qe.get(b),void 0===c)qe.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function Be(){throw Error("startTransition cannot be called during server rendering.");}function Ce(){throw Error("Cannot update optimistic state while rendering.");}
function De(a,b,c){se();var d=me++,e=ge;if("function"===typeof a.$$FORM_ACTION){var f=null,g=he;e=e.formState;var h=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof h){var k=e[1];h.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+lb(JSON.stringify([g,null,d]),0),k===f&&(ne=d,b=e[0]))}var m=a.bind(null,b);a=function(l){m(l)};"function"===typeof m.$$FORM_ACTION&&(a.$$FORM_ACTION=function(l){l=m.$$FORM_ACTION(l);void 0!==c&&(c+="",l.action=c);var r=l.data;r&&(null===f&&(f=void 0!==c?"p"+c:"k"+lb(JSON.stringify([g,
null,d]),0)),r.append("$ACTION_KEY",f));return l});return[b,a,!1]}var n=a.bind(null,b);return[b,function(l){n(l)},!1]}function Ee(a){var b=oe;oe+=1;null===pe&&(pe=[]);return $d(pe,a,b)}function Fe(){throw Error("Cache cannot be refreshed during server rendering.");}function Ge(){}
var Ie={readContext:function(a){return a._currentValue2},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return Ee(a);if(a.$$typeof===Ca)return a._currentValue2}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){se();return a._currentValue2},useMemo:Ae,useReducer:ye,useRef:function(a){ee=se();T=ue();var b=T.memoizedState;return null===b?(a={current:a},T.memoizedState=a):b},useState:function(a){return ye(xe,a)},useInsertionEffect:Ge,
useLayoutEffect:Ge,useCallback:function(a,b){return Ae(function(){return a},b)},useImperativeHandle:Ge,useEffect:Ge,useDebugValue:Ge,useDeferredValue:function(a){se();return a},useTransition:function(){se();return[!1,Be]},useId:function(){var a=fe.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-Ud(a)-1)).toString(32)+b;var c=He;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=le++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+b.toString(32));
return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Fe},useHostTransitionStatus:function(){se();return Lb},useOptimistic:function(a){se();return[a,Ce]}};Ie.useFormState=De;Ie.useActionState=De;
var He=null,Je={getCacheSignal:function(){throw Error("Not implemented.");},getCacheForType:function(){throw Error("Not implemented.");}},Ke;function Le(a){if(void 0===Ke)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Ke=b&&b[1]||""}return"\n"+Ke+a}var Me=!1;
function Ne(a,b){if(!a||Me)return"";Me=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var l=function(){throw Error();};Object.defineProperty(l.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(l,[])}catch(p){var r=p}Reflect.construct(a,[],l)}else{try{l.call()}catch(p){r=p}a.call(l.prototype)}}else{try{throw Error();}catch(p){r=p}(l=a())&&"function"===typeof l.catch&&
l.catch(function(){})}}catch(p){if(p&&r&&"string"===typeof p.stack)return[p.stack,r.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),g=f[0],h=f[1];if(g&&h){var k=g.split("\n"),m=h.split("\n");for(e=d=0;d<k.length&&!k[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<m.length&&!m[e].includes("DetermineComponentFrameRoot");)e++;if(d===k.length||e===m.length)for(d=k.length-1,e=m.length-1;1<=d&&0<=e&&k[d]!==m[e];)e--;for(;1<=d&&0<=e;d--,e--)if(k[d]!==m[e]){if(1!==d||1!==e){do if(d--,e--,0>e||k[d]!==m[e]){var n="\n"+k[d].replace(" at new "," at ");a.displayName&&n.includes("<anonymous>")&&(n=n.replace("<anonymous>",a.displayName));return n}while(1<=d&&0<=e)}break}}}finally{Me=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Le(c):""}
var Oe=Kb.ReactCurrentDispatcher,Pe=Kb.ReactCurrentCache;function Qe(a){console.error(a);return null}function Re(){}
function Se(a,b,c,d,e,f,g,h,k,m,n,l){var r=[],p=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:p,pingedTasks:r,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Qe:f,onPostpone:void 0===n?Re:n,onAllReady:void 0===g?Re:g,onShellReady:void 0===
h?Re:h,onShellError:void 0===k?Re:k,onFatalError:void 0===m?Re:m,formState:void 0===l?null:l};c=Te(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Ue(b,null,a,-1,null,c,null,p,null,d,ld,null,Sd,null,!1);r.push(a);return b}var S=null;function Ve(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,We(a))}
function Xe(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:$c(),fallbackState:$c(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function Ue(a,b,c,d,e,f,g,h,k,m,n,l,r,p,z){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var v={replay:null,node:c,childIndex:d,ping:function(){return Ve(a,v)},blockedBoundary:e,blockedSegment:f,hoistableState:g,abortSet:h,keyPath:k,formatContext:m,legacyContext:n,context:l,treeContext:r,componentStack:p,thenableState:b,isFallback:z};h.add(v);return v}
function $e(a,b,c,d,e,f,g,h,k,m,n,l,r,p,z){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var v={replay:c,node:d,childIndex:e,ping:function(){return Ve(a,v)},blockedBoundary:f,blockedSegment:null,hoistableState:g,abortSet:h,keyPath:k,formatContext:m,legacyContext:n,context:l,treeContext:r,componentStack:p,thenableState:b,isFallback:z};h.add(v);return v}
function Te(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function af(a,b){return{tag:0,parent:a.componentStack,type:b}}
function bf(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Le(b.type,null);break;case 1:a+=Ne(b.type,!1);break;case 2:a+=Ne(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function V(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function cf(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,a.destination.destroy(b)):(a.status=1,a.fatalError=b)}function df(a,b,c,d,e,f){var g=b.thenableState;b.thenableState=null;ee={};fe=b;ge=a;he=c;me=le=0;ne=-1;oe=0;pe=g;for(a=d(e,f);ke;)ke=!1,me=le=0,ne=-1,oe=0,re+=1,T=null,a=d(e,f);we();return a}
function ef(a,b,c,d,e,f,g){var h=!1;if(0!==f&&null!==a.formState){var k=b.blockedSegment;if(null!==k){h=!0;k=k.chunks;for(var m=0;m<f;m++)m===g?k.push("\x3c!--F!--\x3e"):k.push("\x3c!--F--\x3e")}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Td(c,1,0),W(a,b,d,-1),b.treeContext=c):h?W(a,b,d,-1):Y(a,b,d,-1);b.keyPath=f}function ff(a,b){if(a&&a.defaultProps){b=u({},b);a=a.defaultProps;for(var c in a)void 0===b[c]&&(b[c]=a[c]);return b}return b}
function gf(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){f=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};var g=Jd(d,b.legacyContext);var h=d.contextType;h=new d(e,"object"===typeof h&&null!==h?h._currentValue2:g);var k=void 0!==h.state?h.state:null;h.updater=Rd;h.props=e;h.state=k;var m={queue:[],replace:!1};h._reactInternals=m;var n=d.contextType;h.context="object"===typeof n&&null!==n?n._currentValue2:g;n=d.getDerivedStateFromProps;
"function"===typeof n&&(n=n(e,k),k=null===n||void 0===n?k:u({},k,n),h.state=k);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof h.getSnapshotBeforeUpdate&&("function"===typeof h.UNSAFE_componentWillMount||"function"===typeof h.componentWillMount))if(k=h.state,"function"===typeof h.componentWillMount&&h.componentWillMount(),"function"===typeof h.UNSAFE_componentWillMount&&h.UNSAFE_componentWillMount(),k!==h.state&&Rd.enqueueReplaceState(h,h.state,null),null!==m.queue&&0<m.queue.length){k=
m.queue;var l=m.replace;m.queue=null;m.replace=!1;if(l&&1===k.length)h.state=k[0];else{m=l?k[0]:h.state;n=!0;for(l=l?1:0;l<k.length;l++){var r=k[l];r="function"===typeof r?r.call(h,m,e,g):r;null!=r&&(n?(n=!1,m=u({},m,r)):u(m,r))}h.state=m}}else m.queue=null;e=h.render();g=d.childContextTypes;if(null!==g&&void 0!==g){c=b.legacyContext;if("function"!==typeof h.getChildContext)d=c;else{h=h.getChildContext();for(var p in h)if(!(p in g))throw Error((kd(d)||"Unknown")+'.getChildContext(): key "'+p+'" is not defined in childContextTypes.');
d=u({},c,h)}b.legacyContext=d;Y(a,b,e,-1);b.legacyContext=c}else d=b.keyPath,b.keyPath=c,Y(a,b,e,-1),b.keyPath=d;b.componentStack=f}else f=Jd(d,b.legacyContext),p=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,type:d},e=df(a,b,c,d,e,f),ef(a,b,c,e,0!==le,me,ne),b.componentStack=p;else if("string"===typeof d){p=b.componentStack;b.componentStack=af(b,d);f=b.blockedSegment;if(null===f)f=e.children,h=b.formatContext,g=b.keyPath,b.formatContext=Zb(h,d,e),b.keyPath=c,W(a,b,f,-1),b.formatContext=
h,b.keyPath=g;else{g=Ac(f.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,f.lastPushedText,b.isFallback);f.lastPushedText=!1;h=b.formatContext;m=b.keyPath;b.formatContext=Zb(h,d,e);b.keyPath=c;W(a,b,g,-1);b.formatContext=h;b.keyPath=m;a:{c=f.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;
case "body":if(1>=h.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===h.insertionMode){a.hasHtml=!0;break a}}c.push(vc(d))}f.lastPushedText=!1}b.componentStack=p}else{switch(d){case hb:case $a:case ya:case za:case ma:d=b.keyPath;b.keyPath=c;Y(a,b,e.children,-1);b.keyPath=d;return;case gb:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,Y(a,b,e.children,-1),b.keyPath=d);return;case Ka:d=b.componentStack;b.componentStack=af(b,"SuspenseList");p=b.keyPath;b.keyPath=c;Y(a,b,e.children,-1);b.keyPath=
p;b.componentStack=d;return;case Na:throw Error("ReactDOMServer does not yet support scope components.");case Ja:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{W(a,b,c,-1)}finally{b.keyPath=d}}else{n=b.componentStack;d=b.componentStack=af(b,"Suspense");l=b.keyPath;p=b.blockedBoundary;r=b.hoistableState;var z=b.blockedSegment;f=e.fallback;var v=e.children;e=new Set;m=Xe(a,e);null!==a.trackedPostpones&&(m.trackedContentKeyPath=c);k=Te(a,z.chunks.length,m,b.formatContext,!1,!1);z.children.push(k);
z.lastPushedText=!1;var y=Te(a,0,null,b.formatContext,!1,!1);y.parentFlushed=!0;b.blockedBoundary=m;b.hoistableState=m.contentState;b.blockedSegment=y;b.keyPath=c;try{if(W(a,b,v,-1),a.renderState.generateStaticMarkup||y.lastPushedText&&y.textEmbedded&&y.chunks.push("\x3c!-- --\x3e"),y.status=1,hf(m,y),0===m.pendingTasks&&0===m.status){m.status=1;b.componentStack=n;break a}}catch(x){y.status=4,m.status=4,h=bf(a,b.componentStack),g=V(a,x,h),m.errorDigest=g,jf(a,m)}finally{b.blockedBoundary=p,b.hoistableState=
r,b.blockedSegment=z,b.keyPath=l,b.componentStack=n}h=[c[0],"Suspense Fallback",c[2]];g=a.trackedPostpones;null!==g&&(n=[h[1],h[2],[],null],g.workingMap.set(h,n),5===m.status?g.workingMap.get(c)[4]=n:m.trackedFallbackNode=n);b=Ue(a,null,f,-1,p,k,m.fallbackState,e,h,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case Da:p=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};e=
df(a,b,c,d.render,e,f);ef(a,b,c,e,0!==le,me,ne);b.componentStack=p;return;case La:d=d.type;e=ff(d,e);gf(a,b,c,d,e,f);return;case Aa:f=e.children;p=b.keyPath;d=d._context;e=e.value;h=d._currentValue2;d._currentValue2=e;g=Kd;Kd=e={parent:g,depth:null===g?0:g.depth+1,context:d,parentValue:h,value:e};b.context=e;b.keyPath=c;Y(a,b,f,-1);a=Kd;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue2=a.parentValue;a=Kd=a.parent;b.context=a;
b.keyPath=p;return;case Ca:e=e.children;e=e(d._currentValue2);d=b.keyPath;b.keyPath=c;Y(a,b,e,-1);b.keyPath=d;return;case Ba:case Ma:p=b.componentStack;b.componentStack=af(b,"Lazy");f=d._init;d=f(d._payload);e=ff(d,e);gf(a,b,c,d,e,void 0);b.componentStack=p;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function kf(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,h=Te(a,0,null,b.formatContext,!1,!1);h.id=c;h.parentFlushed=!0;try{b.replay=null,b.blockedSegment=h,W(a,b,d,e),h.status=1,null===g?a.completedRootSegment=h:(hf(g,h),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function Y(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)kf(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case ka:var e=c.type,f=c.key,g=c.props;var h=c.ref;var k=kd(e),m=null==f?-1===d?0:d:f;f=[b.keyPath,k,m];if(null!==b.replay)a:{var n=b.replay;d=n.nodes;for(c=0;c<d.length;c++){var l=d[c];if(m===l[1]){if(4===l.length){if(null!==k&&k!==l[0])throw Error("Expected the resume to render <"+l[0]+"> in this slot but instead it rendered <"+
k+">. The tree doesn't match so React will fallback to client rendering.");var r=l[2];k=l[3];m=b.node;b.replay={nodes:r,slots:k,pendingTasks:1};try{gf(a,b,f,e,g,h);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(w){if("object"===typeof w&&null!==w&&(w===Yd||"function"===typeof w.then))throw b.node===m&&(b.replay=n),w;
b.replay.pendingTasks--;g=bf(a,b.componentStack);f=a;a=b.blockedBoundary;e=w;g=V(f,e,g);lf(f,a,r,k,e,g)}b.replay=n}else{if(e!==Ja)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(kd(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{n=void 0;e=l[5];h=l[2];k=l[3];m=null===l[4]?[]:l[4][2];l=null===l[4]?null:l[4][3];var p=b.componentStack,z=b.componentStack=af(b,"Suspense"),v=b.keyPath,y=b.replay,x=b.blockedBoundary,
q=b.hoistableState,D=g.children;g=g.fallback;var E=new Set,t=Xe(a,E);t.parentFlushed=!0;t.rootSegmentID=e;b.blockedBoundary=t;b.hoistableState=t.contentState;b.replay={nodes:h,slots:k,pendingTasks:1};try{W(a,b,D,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===t.pendingTasks&&0===t.status){t.status=1;a.completedBoundaries.push(t);
break b}}catch(w){t.status=4,r=bf(a,b.componentStack),n=V(a,w,r),t.errorDigest=n,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(t)}finally{b.blockedBoundary=x,b.hoistableState=q,b.replay=y,b.keyPath=v,b.componentStack=p}b=$e(a,null,{nodes:m,slots:l,pendingTasks:0},g,-1,x,t.fallbackState,E,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,z,!0);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else gf(a,b,f,e,g,h);return;case la:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Ma:g=b.componentStack;b.componentStack=af(b,"Lazy");f=c._init;c=f(c._payload);b.componentStack=g;Y(a,b,c,d);return}if(kb(c)){mf(a,b,c,d);return}null===c||"object"!==typeof c?g=null:(g=jb&&c[jb]||c["@@iterator"],g="function"===typeof g?g:null);if(g&&(g=g.call(c))){c=g.next();if(!c.done){f=[];do f.push(c.value),c=g.next();while(!c.done);mf(a,b,f,d)}return}if("function"===typeof c.then)return b.thenableState=null,Y(a,b,Ee(c),d);if(c.$$typeof===Ca)return Y(a,b,c._currentValue2,d);d=Object.prototype.toString.call(c);
throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}"string"===typeof c?(d=b.blockedSegment,null!==d&&(d.lastPushedText=id(d.chunks,c,a.renderState,d.lastPushedText))):"number"===typeof c&&(d=b.blockedSegment,null!==d&&(d.lastPushedText=id(d.chunks,""+c,a.renderState,d.lastPushedText)))}}
function mf(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,h=0;h<g.length;h++){var k=g[h];if(k[1]===d){d=k[2];k=k[3];b.replay={nodes:d,slots:k,pendingTasks:1};try{mf(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(l){if("object"===typeof l&&
null!==l&&(l===Yd||"function"===typeof l.then))throw l;b.replay.pendingTasks--;c=bf(a,b.componentStack);var m=b.blockedBoundary,n=l;c=V(a,n,c);lf(a,m,d,k,n,c)}b.replay=f;g.splice(h,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(h=b.replay.slots,null!==h&&"object"===typeof h)){for(d=0;d<g;d++)k=c[d],b.treeContext=Td(f,g,d),m=h[d],"number"===typeof m?(kf(a,b,m,k,d),delete h[d]):W(a,b,k,d);b.treeContext=f;b.keyPath=e;return}for(h=0;h<g;h++)d=c[h],b.treeContext=Td(f,g,h),
W(a,b,d,h);b.treeContext=f;b.keyPath=e}function jf(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function W(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,h=b.keyPath,k=b.treeContext,m=b.componentStack,n=b.blockedSegment;if(null===n)try{return Y(a,b,c,d)}catch(p){if(we(),c=p===Yd?be():p,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ve();a=$e(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;b.componentStack=m;Qd(g);return}}else{var l=n.children.length,r=n.chunks.length;try{return Y(a,b,c,d)}catch(p){if(we(),n.children.length=l,n.chunks.length=r,c=p===Yd?be():p,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ve();n=b.blockedSegment;l=Te(a,n.chunks.length,null,b.formatContext,n.lastPushedText,!0);n.children.push(l);n.lastPushedText=!1;a=Ue(a,d,b.node,b.childIndex,b.blockedBoundary,l,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;b.componentStack=m;Qd(g);return}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;Qd(g);throw c;}function nf(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,of(this,b,a))}
function lf(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var h=c[g];if(4===h.length)lf(a,b,h[2],h[3],e,f);else{h=h[5];var k=a,m=f,n=Xe(k,new Set);n.parentFlushed=!0;n.rootSegmentID=h;n.status=4;n.errorDigest=m;n.parentFlushed&&k.clientRenderedBoundaries.push(n)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var l in d)delete d[l]}}
function pf(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){V(b,c,d);cf(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=V(b,c,d),lf(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&qf(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=bf(b,a.componentStack),a=V(b,c,a),d.errorDigest=a,jf(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return pf(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&rf(b)}
function sf(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var g=c.styles.values(),h=g.next();b:for(;0<e.remainingCapacity&&!h.done;h=g.next())for(var k=h.value.sheets.values(),m=k.next();0<e.remainingCapacity&&!m.done;m=k.next()){var n=m.value,l=n.props,r=l.href,p=n.props,z=Cc(p.href,"style",{crossOrigin:p.crossOrigin,integrity:p.integrity,
nonce:p.nonce,type:p.type,fetchPriority:p.fetchPriority,referrerPolicy:p.referrerPolicy,media:p.media});if(2<=(e.remainingCapacity-=z.length))c.resets.style[r]=C,f&&(f+=", "),f+=z,c.resets.style[r]="string"===typeof l.crossOrigin||"string"===typeof l.integrity?[l.crossOrigin,l.integrity]:C;else break b}}f?d({Link:f}):d({})}}}catch(v){V(a,v,{})}}function qf(a){null===a.trackedPostpones&&sf(a,!0);a.onShellError=Re;a=a.onShellReady;a()}
function rf(a){sf(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function hf(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&hf(a,c)}else a.completedSegments.push(b)}
function of(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&qf(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&hf(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(nf,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(hf(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&rf(a)}
function We(a){if(2!==a.status){var b=Kd,c=Oe.current;Oe.current=Ie;var d=Pe.current;Pe.current=Je;var e=S;S=a;var f=He;He=a.resumableState;try{var g=a.pingedTasks,h;for(h=0;h<g.length;h++){var k=g[h],m=a,n=k.blockedSegment;if(null===n){var l=m;if(0!==k.replay.pendingTasks){Qd(k.context);try{Y(l,k,k.node,k.childIndex);if(1===k.replay.pendingTasks&&0<k.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
k.replay.pendingTasks--;k.abortSet.delete(k);of(l,k.blockedBoundary,null)}catch(G){we();var r=G===Yd?be():G;if("object"===typeof r&&null!==r&&"function"===typeof r.then){var p=k.ping;r.then(p,p);k.thenableState=ve()}else{k.replay.pendingTasks--;k.abortSet.delete(k);var z=bf(l,k.componentStack);m=void 0;var v=l,y=k.blockedBoundary,x=r,q=k.replay.nodes,D=k.replay.slots;m=V(v,x,z);lf(v,y,q,D,x,m);l.pendingRootTasks--;0===l.pendingRootTasks&&qf(l);l.allPendingTasks--;0===l.allPendingTasks&&rf(l)}}finally{}}}else if(l=
void 0,v=n,0===v.status){Qd(k.context);var E=v.children.length,t=v.chunks.length;try{Y(m,k,k.node,k.childIndex),m.renderState.generateStaticMarkup||v.lastPushedText&&v.textEmbedded&&v.chunks.push("\x3c!-- --\x3e"),k.abortSet.delete(k),v.status=1,of(m,k.blockedBoundary,v)}catch(G){we();v.children.length=E;v.chunks.length=t;var w=G===Yd?be():G;if("object"===typeof w&&null!==w&&"function"===typeof w.then){var F=k.ping;w.then(F,F);k.thenableState=ve()}else{var U=bf(m,k.componentStack);k.abortSet.delete(k);
v.status=4;var L=k.blockedBoundary;l=V(m,w,U);null===L?cf(m,w):(L.pendingTasks--,4!==L.status&&(L.status=4,L.errorDigest=l,jf(m,L),L.parentFlushed&&m.clientRenderedBoundaries.push(L)));m.allPendingTasks--;0===m.allPendingTasks&&rf(m)}}finally{}}}g.splice(0,h);null!==a.destination&&tf(a,a.destination)}catch(G){V(a,G,{}),cf(a,G)}finally{He=f,Oe.current=c,Pe.current=d,c===Ie&&Qd(b),S=e}}}
function uf(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,b.push('<template id="'),b.push(a.placeholderPrefix),a=d.toString(16),b.push(a),b.push('"></template>');case 1:c.status=2;var e=!0,f=c.chunks,g=0;c=c.children;for(var h=0;h<c.length;h++){for(e=c[h];g<e.index;g++)b.push(f[g]);e=vf(a,b,e,d)}for(;g<f.length-1;g++)b.push(f[g]);g<f.length&&(e=b.push(f[g]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function vf(a,b,c,d){var e=c.boundary;if(null===e)return uf(a,b,c,d);e.parentFlushed=!0;if(4===e.status)return a.renderState.generateStaticMarkup||(e=e.errorDigest,b.push("\x3c!--$!--\x3e"),b.push("<template"),e&&(b.push(' data-dgst="'),e=B(e),b.push(e),b.push('"')),b.push("></template>")),uf(a,b,c,d),a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e"),a;if(1!==e.status)return 0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),Fc(b,
a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(fd,d),e.stylesheets.forEach(gd,d)),uf(a,b,c,d),b.push("\x3c!--/$--\x3e");if(e.byteSize>a.progressiveChunkSize)return e.rootSegmentID=a.nextSegmentId++,a.completedBoundaries.push(e),Fc(b,a.renderState,e.rootSegmentID),uf(a,b,c,d),b.push("\x3c!--/$--\x3e");d&&(c=e.contentState,c.styles.forEach(fd,d),c.stylesheets.forEach(gd,d));a.renderState.generateStaticMarkup||b.push("\x3c!--$--\x3e");c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");
vf(a,b,c[0],d);a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e");return a}function wf(a,b,c,d){Gc(b,a.renderState,c.parentFormatContext,c.id);vf(a,b,c,d);return Hc(b,c.parentFormatContext)}
function xf(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)yf(a,b,c,d[e]);d.length=0;Qc(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(b.push(a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
0===(d.instructions&8)?(d.instructions|=8,b.push('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
b.push('$RR("'):0===(d.instructions&2)?(d.instructions|=2,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("')):
b.push('$RC("')):f?b.push('<template data-rri="" data-bid="'):b.push('<template data-rci="" data-bid="');d=e.toString(16);b.push(a.boundaryPrefix);b.push(d);g?b.push('","'):b.push('" data-sid="');b.push(a.segmentPrefix);b.push(d);f?g?(b.push('",'),Wc(b,c)):(b.push('" data-sty="'),Yc(b,c)):g&&b.push('"');d=g?b.push(")\x3c/script>"):b.push('"></template>');return Ec(b,a)&&d}
function yf(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return wf(a,b,d,e)}if(f===c.rootSegmentID)return wf(a,b,d,e);wf(a,b,d,e);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(b.push(a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,b.push('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')):
b.push('$RS("')):b.push('<template data-rsi="" data-sid="');b.push(a.segmentPrefix);f=f.toString(16);b.push(f);d?b.push('","'):b.push('" data-pid="');b.push(a.placeholderPrefix);b.push(f);b=d?b.push('")\x3c/script>'):b.push('"></template>');return b}
function tf(a,b){try{var c,d=a.completedRootSegment;if(null!==d)if(5!==d.status&&0===a.pendingRootTasks){var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,h=f.src,k=f.chunks;g.scriptResources.hasOwnProperty(h)||(g.scriptResources[h]=null,e.scripts.add(k))}var m=e.htmlChunks,n=e.headChunks,l;if(m){for(l=0;l<m.length;l++)b.push(m[l]);if(n)for(l=0;l<n.length;l++)b.push(n[l]);else{var r=Q("head");b.push(r);
b.push(">")}}else if(n)for(l=0;l<n.length;l++)b.push(n[l]);var p=e.charsetChunks;for(l=0;l<p.length;l++)b.push(p[l]);p.length=0;e.preconnects.forEach(R,b);e.preconnects.clear();var z=e.viewportChunks;for(l=0;l<z.length;l++)b.push(z[l]);z.length=0;e.fontPreloads.forEach(R,b);e.fontPreloads.clear();e.highImagePreloads.forEach(R,b);e.highImagePreloads.clear();e.styles.forEach(Tc,b);var v=e.importMapChunks;for(l=0;l<v.length;l++)b.push(v[l]);v.length=0;e.bootstrapScripts.forEach(R,b);e.scripts.forEach(R,
b);e.scripts.clear();e.bulkPreloads.forEach(R,b);e.bulkPreloads.clear();var y=e.hoistableChunks;for(l=0;l<y.length;l++)b.push(y[l]);y.length=0;if(m&&null===n){var x=vc("head");b.push(x)}vf(a,b,d,null);a.completedRootSegment=null;Ec(b,a.renderState)}else return;var q=a.renderState;d=0;var D=q.viewportChunks;for(d=0;d<D.length;d++)b.push(D[d]);D.length=0;q.preconnects.forEach(R,b);q.preconnects.clear();q.fontPreloads.forEach(R,b);q.fontPreloads.clear();q.highImagePreloads.forEach(R,b);q.highImagePreloads.clear();
q.styles.forEach(Vc,b);q.scripts.forEach(R,b);q.scripts.clear();q.bulkPreloads.forEach(R,b);q.bulkPreloads.clear();var E=q.hoistableChunks;for(d=0;d<E.length;d++)b.push(E[d]);E.length=0;var t=a.clientRenderedBoundaries;for(c=0;c<t.length;c++){var w=t[c];q=b;var F=a.resumableState,U=a.renderState,L=w.rootSegmentID,G=w.errorDigest,na=w.errorMessage,fa=w.errorComponentStack,Z=0===F.streamingFormat;Z?(q.push(U.startInlineScript),0===(F.instructions&4)?(F.instructions|=4,q.push('$RX=function(b,c,d,e){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),b._reactRetry&&b._reactRetry())};;$RX("')):
q.push('$RX("')):q.push('<template data-rxi="" data-bid="');q.push(U.boundaryPrefix);var vb=L.toString(16);q.push(vb);Z&&q.push('"');if(G||na||fa)if(Z){q.push(",");var wb=Jc(G||"");q.push(wb)}else{q.push('" data-dgst="');var Oa=B(G||"");q.push(Oa)}if(na||fa)if(Z){q.push(",");var Pa=Jc(na||"");q.push(Pa)}else{q.push('" data-msg="');var Qa=B(na||"");q.push(Qa)}if(fa)if(Z){q.push(",");var Ra=Jc(fa);q.push(Ra)}else{q.push('" data-stck="');var oa=B(fa);q.push(oa)}if(Z?!q.push(")\x3c/script>"):!q.push('"></template>')){a.destination=
null;c++;t.splice(0,c);return}}t.splice(0,c);var M=a.completedBoundaries;for(c=0;c<M.length;c++)if(!xf(a,b,M[c])){a.destination=null;c++;M.splice(0,c);return}M.splice(0,c);var aa=a.partialBoundaries;for(c=0;c<aa.length;c++){var ba=aa[c];a:{t=a;w=b;var pa=ba.completedSegments;for(F=0;F<pa.length;F++)if(!yf(t,w,ba,pa[F])){F++;pa.splice(0,F);var Sa=!1;break a}pa.splice(0,F);Sa=Qc(w,ba.contentState,t.renderState)}if(!Sa){a.destination=null;c++;aa.splice(0,c);return}}aa.splice(0,c);var qa=a.completedBoundaries;
for(c=0;c<qa.length;c++)if(!xf(a,b,qa[c])){a.destination=null;c++;qa.splice(0,c);return}qa.splice(0,c)}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length&&(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&(aa=vc("body"),b.push(aa)),c.hasHtml&&(c=vc("html"),b.push(c)),b.push(null),a.destination=null)}}function zf(a){a.flushScheduled=null!==a.destination;We(a);null===a.trackedPostpones&&sf(a,0===a.pendingRootTasks)}
function cd(a){if(!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination){a.flushScheduled=!0;var b=a.destination;b?tf(a,b):a.flushScheduled=!1}}function Af(a,b){if(1===a.status)a.status=2,b.destroy(a.fatalError);else if(2!==a.status&&null===a.destination){a.destination=b;try{tf(a,b)}catch(c){V(a,c,{}),cf(a,c)}}}
function Bf(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return pf(e,a,d)});c.clear()}null!==a.destination&&tf(a,a.destination)}catch(e){V(a,e,{}),cf(a,e)}}function Cf(){}
function Df(a,b,c,d){var e=!1,f=null,g="",h=!1;b=Xb(b?b.identifierPrefix:void 0,void 0);a=Se(a,b,hd(b,c),Yb(),Infinity,Cf,void 0,function(){h=!0},void 0,void 0,void 0);zf(a);Bf(a,d);Af(a,{push:function(k){null!==k&&(g+=k);return!0},destroy:function(k){e=!0;f=k}});if(e&&f!==d)throw f;if(!h)throw Error("A component suspended while responding to synchronous input. This will cause the UI to be replaced with a loading indicator. To fix, updates that suspend should be wrapped with startTransition.");return g}
function Ef(a,b){a.prototype=Object.create(b.prototype);a.prototype.constructor=a;a.__proto__=b}var Ff=function(a){function b(){var d=a.call(this,{})||this;d.request=null;d.startedFlowing=!1;return d}Ef(b,a);var c=b.prototype;c._destroy=function(d,e){Bf(this.request);e(d)};c._read=function(){this.startedFlowing&&Af(this.request,this)};return b}(ja.Readable);function Gf(){}exports.renderToStaticMarkup=function(a,b){return Df(a,b,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.renderToStaticNodeStream=function(a,b){var c=new Ff;b=Xb(b?b.identifierPrefix:void 0,void 0);var d=Se(a,b,hd(b,!0),Yb(),Infinity,Gf,function(){c.startedFlowing=!0;Af(d,c)},void 0,void 0,void 0);c.request=d;zf(d);return c};exports.renderToString=function(a,b){return Df(a,b,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.version="19.0.0-canary-a73c3450e-20240329";

//# sourceMappingURL=react-dom-server-legacy.node.production.min.js.map
